<?xml version="1.1" encoding="UTF-8" standalone="no"?>
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog" xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.6.xsd">
    <changeSet author="btamas" id="1561978155631-1">
        <createTable tableName="users">
            <column name="userid" type="Integer">
                <constraints primaryKey="true" primaryKeyName="users_pkey"/>
            </column>
            <column name="name" type="VARCHAR(50)">
                <constraints nullable="false"/>
            </column>
            <column name="email" type="VARCHAR(50)">
                <constraints nullable="false"/>
            </column>
        </createTable>
    </changeSet>
    <changeSet author="btamas" id="1561978155631-2">
        <createTable tableName="users_history">
            <column name="userid" type="Integer">
                <constraints primaryKey="true" primaryKeyName="users_history_pkey"/>
            </column>
            <column name="rev" type="INTEGER">
                <constraints primaryKey="true" primaryKeyName="users_version_history_pkey"/>
            </column>
            <column name="revtype" type="SMALLINT"/>
            <column name="name" type="VARCHAR(50)"/>
            <column name="email" type="VARCHAR(50)"/>
        </createTable>
    </changeSet>
    <changeSet author="btamas" id="1561978155631-3">
        <createTable tableName="userdevice">
            <column name="userdeviceid" type="Integer">
                <constraints primaryKey="true" primaryKeyName="userdevice_pkey"/>
            </column>
            <column name="userid" type="Integer">
                <constraints nullable="false"/>
            </column>
            <column name="devicehash" type="VARCHAR(50)">
                <constraints nullable="false"/>
            </column>
        </createTable>
    </changeSet>
    <changeSet author="btamas" id="1561978155631-4">
        <createTable tableName="userdevice_history">
            <column name="userdeviceid" type="Integer">
                <constraints primaryKey="true" primaryKeyName="userdevice_history_pkey"/>
            </column>
            <column name="rev" type="INTEGER">
                <constraints primaryKey="true" primaryKeyName="userdevice_version_history_pkey"/>
            </column>
            <column name="revtype" type="SMALLINT"/>
            <column name="userid" type="Integer"/>
            <column name="devicehash" type="VARCHAR(50)"/>
        </createTable>
    </changeSet>
    <changeSet author="btamas" id="1561978155631-5">
        <createTable tableName="usertoken">
            <column name="usertokenid" type="Integer">
                <constraints primaryKey="true" primaryKeyName="usertoken_pkey"/>
            </column>
            <column name="userid" type="Integer">
                <constraints nullable="false"/>
            </column>
            <column name="token" type="VARCHAR(100)">
                <constraints nullable="false"/>
            </column>
        </createTable>
    </changeSet>
    <changeSet author="btamas" id="1561978155631-6">
        <createTable tableName="usertoken_history">
            <column name="usertokenid" type="Integer">
                <constraints primaryKey="true" primaryKeyName="usertoken_history_pkey"/>
            </column>
            <column name="rev" type="INTEGER">
                <constraints primaryKey="true" primaryKeyName="usertoken_version_history_pkey"/>
            </column>
            <column name="revtype" type="SMALLINT"/>
            <column name="userid" type="Integer"/>
            <column name="token" type="VARCHAR(50)"/>
        </createTable>
    </changeSet>
    <changeSet author="btamas" id="1561978155631-7">
        <createTable tableName="userbankcard">
            <column name="userbankcardid" type="Integer">
                <constraints primaryKey="true" primaryKeyName="userbankcard_pkey"/>
            </column>
            <column name="userid" type="Integer">
                <constraints nullable="false"/>
            </column>
            <column name="cardid" type="VARCHAR2(4)">
                <constraints nullable="false"/>
            </column>
            <column name="cardnumber" type="VARCHAR2(20)">
                <constraints nullable="false"/>
            </column>
            <column name="cvc" type="SMALLINT">
                <constraints nullable="false"/>
            </column>
            <column name="name" type="VARCHAR2(50)">
                <constraints nullable="false"/>
            </column>
            <column name="amount" type="INTEGER">
                <constraints nullable="false"/>
            </column>
            <column name="currency" type="VARCHAR2(3)">
                <constraints nullable="false"/>
            </column>
        </createTable>
        
    </changeSet>
    <changeSet author="btamas" id="1561978155631-8">
        <createTable tableName="userbankcard_history">
            <column name="userbankcardid" type="Integer">
                <constraints primaryKey="true" primaryKeyName="userbankcard_history_pkey"/>
            </column>
            <column name="rev" type="INTEGER">
                <constraints primaryKey="true" primaryKeyName="userbankcard_version_history_pkey"/>
            </column>
            <column name="revtype" type="SMALLINT"/>
            <column name="userid" type="Integer"/>
            <column name="cardid" type="VARCHAR2(4)"/>
            <column name="cardnumber" type="VARCHAR2(20)"/>
            <column name="cvc" type="SMALLINT"/>
            <column name="name" type="VARCHAR2(50)"/>
            <column name="amount" type="INTEGER"/>
            <column name="currency" type="VARCHAR2(3)"/>
        </createTable>
    </changeSet>
</databaseChangeLog>
